package pps.core.base.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import pps.core.common.entity.BaseModel;
import xstartup.annotation.XText;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * 光伏电站
 *
 * @author ZWT
 * @date 2023/09/08
 */
@Data
@TableName("base_photovoltaic_plant")
public class BasePhotovoltaicPlantEnt extends BaseModel implements Serializable {

    @XText("组织机构ID")
    @TableField
    private String ouId;

    @XText("电站名称")
    @TableField
    private String stationName;

    @XText("出厂编号")
    @TableField
    private String makerNumber;

    @XText("光伏设备规格型号key(字典获取)")
    @TableField
    private String photovoltaicModelKey;

    @XText("安装倾角")
    @TableField
    private BigDecimal mountingAngle;

    @XText("装机总量(KWP)")
    @TableField
    private BigDecimal totalPower;

    @XText("阵列朝向")
    @TableField
    private BigDecimal arrayOrientation;

    @XText("组织机构name")
    @TableField
    private String ouName;
    @XText("光伏设备规格型号name(字典获取)")
    @TableField
    private String photovoltaicModelName;
}
