package pps.core.base.service;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import pps.cloud.base.service.BasePhotovoltaicPlantCloudService;
import pps.cloud.base.service.data.base_photovoltaic_plant.GetBasePhotovoltaicPlantCloudInput;
import pps.cloud.base.service.data.base_photovoltaic_plant.GetBasePhotovoltaicPlantCloudOutput;
import pps.core.base.constant.ScadaConstant;
import pps.core.base.entity.BasePhotovoltaicPlantEnt;
import pps.core.base.entity.BasePhotovoltaicPlantView;
import pps.core.base.mapper.BasePhotovoltaicPlantMapper;
import pps.core.base.mapper.BasePhotovoltaicPlantViewMapper;
import pps.core.common.constant.BusinessConstant;
import xstartup.annotation.XService;
import xstartup.base.XContext;
import xstartup.base.util.XCopyUtils;
import xstartup.data.XListResult;

import java.util.List;

@XService
public class BasePhotovoltaicPlantCloudServiceImpl implements BasePhotovoltaicPlantCloudService {
    @Override
    public XListResult<GetBasePhotovoltaicPlantCloudOutput> getBasePhotovoltaicPlantViewList(XContext context, GetBasePhotovoltaicPlantCloudInput input) {
        BasePhotovoltaicPlantViewMapper mapper = context.getBean(BasePhotovoltaicPlantViewMapper.class);
        BasePhotovoltaicPlantView view = new BasePhotovoltaicPlantView();
        view.setIsDeleted(ScadaConstant.IS_DELETE_FLASE);
        List<BasePhotovoltaicPlantView> plantList = mapper.selectPlantDetailList(view);
        return null;
    }

    @Override
    public XListResult<GetBasePhotovoltaicPlantCloudOutput> getBasePhotovoltaicPlantList(XContext context, GetBasePhotovoltaicPlantCloudInput input) {
        BasePhotovoltaicPlantMapper mapper = context.getBean(BasePhotovoltaicPlantMapper.class);
        QueryWrapper<BasePhotovoltaicPlantEnt> queryWrapper = new QueryWrapper<>();
        queryWrapper.lambda().eq(BasePhotovoltaicPlantEnt::getIsDeleted ,  BusinessConstant.ONE);
        List<BasePhotovoltaicPlantEnt> list = mapper.selectList(queryWrapper);
        List<GetBasePhotovoltaicPlantCloudOutput> outPuts = XCopyUtils.copyNewList(list , GetBasePhotovoltaicPlantCloudOutput.class);
        return XListResult.success(outPuts);
    }
}
