package pps.core.base.service.data.base_photovoltaic_plant;

import jakarta.validation.constraints.NotBlank;
import lombok.Data;
import xstartup.annotation.XText;
import xstartup.base.data.XPageInput;

import java.math.BigDecimal;

/**
 * 光伏电站
 *
 * @author ZWT
 * @date 2023/09/25
 */
@Data
public class QueryBasePhotovoltaicPlantInput extends XPageInput {

    @XText("组织机构ID")
    @NotBlank(message = "缺少组织机构ID")
    private String ouId;

    @XText("电站名称")
    private String stationName;

    @XText("出厂编号")
    private String makerNumber;

    @XText("光伏设备规格型号key(字典获取)")
    private String photovoltaicModelKey;

    @XText("安装倾角")
    private BigDecimal mountingAngle;

    @XText("装机总量(KWP)")
    private BigDecimal totalPower;

    @XText("阵列朝向")
    private BigDecimal arrayOrientation;

    @XText("组织机构name")
    private String ouName;

    @XText("光伏设备规格型号name(字典获取)")
    private String photovoltaicModelName;

    @XText("排除已绑定线路标识")
    private String excludeIdFlag;
}
