package pps.core.base.service.data.base_wellhead;

import jakarta.validation.constraints.NotBlank;
import lombok.Data;
import xstartup.annotation.XText;
import xstartup.base.data.XPageInput;

import java.math.BigDecimal;

/**
 * 井口
 *
 * @author ZWT
 * @date 2023/09/25
 */
@Data
public class QueryBaseWellheadInput extends XPageInput {

    @XText("组织机构ID")
    @NotBlank(message = "缺少组织机构ID")
    private String ouId;

    @XText("组织机构ID")
    private String ouName;

    @XText("井号")
    private String wellNumber;

    @XText("运行类型key(字典获取)")
    private String runTypeKey;

    @XText("运行类型name(字典获取)")
    private String runTypeName;

    @XText("运行功率(KW)")
    private BigDecimal serviceRating;

    @XText("排除已绑定线路标识")
    private String excludeIdFlag;
}