package pps.core.space.service.data;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import pps.cloud.base.service.data.base_power_line_storage.DynamicQueryBasePowerLineStorageViewOutput;
import pps.core.space.entity.SpaceInstitutionWellheadView;

import java.util.List;
import java.util.Map;

/**
 * 间开优化数据集
 *
 * @author ZWT
 * @date 2023/09/18 16:42
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class SpaceOptimizeLineRelation {

    /**
     * 井口列表
     */
    Map<String, List<SpaceInstitutionWellheadView>> wellheadsByInstitutionIdIdMap;

    /**
     * 电站Map
     */
    Map<String, List<String>> plantIdsByLineIdMap;

    /**
     * 储能设备参数平均值Map
     */
    Map<String, List<DynamicQueryBasePowerLineStorageViewOutput>> storageAvgMap;
}
