package pps.core.space.service.data.space_optimize_mid_period;

import lombok.Data;
import pps.cloud.base.service.data.base_price_strategy_detail.GetBasePriceStrategyDetailOutput;
import pps.core.space.service.data.SpaceOptimizeDateOutput;
import pps.core.space.service.data.space_optimize_mid_wellhead.GetSpaceOptimizeMidWellheadOutput;
import xstartup.annotation.XText;

import java.util.Date;
import java.util.List;

/**
 * 中短期间开优化周期记录
 *
 * @author ZWT
 * @date 2023/09/07
 */
@Data
public class GetSpaceOptimizeMidPeriodViewOutput {

    @XText("ID")
    private String id;

    @XText("线路ID")
    private String lineId;

    @XText("间开制度ID")
    private String institutionId;

    @XText("执行周期")
    private String executionCycle;

    @XText("优化状态(0_已优化;1_未优化)")
    private Integer optimizeState;

    @XText("优化截止日期")
    private Date optimizeDeadline;

    /**
     * 电网类型key
     */
    @XText("电网类型key(字典获取)")
    private String gridTypeKey;

    /**
     * 已优化日期列表
     */
    @XText("已优化日期列表")
    List<SpaceOptimizeDateOutput> dateList;

    /**
     * 策略配置列表
     */
    @XText("策略配置列表")
    List<GetBasePriceStrategyDetailOutput> strategyDetailList;

    /**
     * 井口信息
     */
    @XText("井口信息")
    List<GetSpaceOptimizeMidWellheadOutput> wellheadList;
}
